public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-component/
Date: Sat, 23 Apr 2022 19:07:58 +0000 (UTC)	[thread overview]
Message-ID: <1650740874.2b6433877934ceeed160c0e7adcc576df67aa78d.mgorny@gentoo> (raw)

commit:     2b6433877934ceeed160c0e7adcc576df67aa78d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 23 18:57:13 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 19:07:54 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b643387

dev-python/zope-component: Bump to 5.0.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/zope-component/Manifest                 |  1 +
 .../zope-component/zope-component-5.0.1.ebuild     | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/zope-component/Manifest b/dev-python/zope-component/Manifest
index 94bc87e964e7..4aa808dcdb5d 100644
--- a/dev-python/zope-component/Manifest
+++ b/dev-python/zope-component/Manifest
@@ -1 +1,2 @@
 DIST zope.component-4.4.1.tar.gz 84745 BLAKE2B 3b8a58bdaf1de1bc57e9642bf76100bd8aa0bbccfc8d6682e7f78363f08f13ac98c7ff37d4892c3558e26537294dd184b75810afaf95c6f8d6a529c9938ea8dc SHA512 dc9f6a725cc49ac94a164d11786ef977e94e1c9a7c88de4aaeb0f62621cfe00284007ae44937ec92ae6cffc5b16ab4af1548db2237b0ba4b818e2c8f6355ecbd
+DIST zope.component-5.0.1.tar.gz 91130 BLAKE2B 4dbd78b003ba3688c0468573f4552c87333fd5fb7e0cd89d4844633f28c19443b3ea884438ff7f7ba8b056790f008c246c1e7ad52403d7b72b146d0d53edd8ad SHA512 fad011816fe5bb869bb2e43e11a66841a6be2abf9002e41207ef1dfe69b1afb5ca486d275daeddf71d2a0e79e1a9c839c4735190dddcd118b675a976bde07a64

diff --git a/dev-python/zope-component/zope-component-5.0.1.ebuild b/dev-python/zope-component/zope-component-5.0.1.ebuild
new file mode 100644
index 000000000000..2c7f80f081cb
--- /dev/null
+++ b/dev-python/zope-component/zope-component-5.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+MY_PN=zope.component
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Zope Component Architecture"
+HOMEPAGE="
+	https://pypi.org/project/zope.component/
+	https://github.com/zopefoundation/zope.component/
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/zope-event[${PYTHON_USEDEP}]
+	>=dev-python/zope-hookable-4.2.0[${PYTHON_USEDEP}]
+	>=dev-python/zope-interface-5.3.0[${PYTHON_USEDEP}]
+	!dev-python/namespace-zope
+"
+BDEPEND="
+	test? (
+		dev-python/zope-configuration[${PYTHON_USEDEP}]
+		dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+		dev-python/zope-testing[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	# strip rdep specific to namespaces
+	sed -i -e "/'setuptools'/d" setup.py || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+	distutils_write_namespace zope
+	eunittest
+}


             reply	other threads:[~2022-04-23 19:08 UTC|newest]

Thread overview: 55+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-23 19:07 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-18 15:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-component/ Michał Górny
2023-06-06  6:13 Michał Górny
2023-05-04 17:44 Michał Górny
2023-05-04 17:22 Arthur Zamarin
2023-04-15  8:23 Michał Górny
2023-03-21  6:49 Michał Górny
2023-03-17 18:28 Michał Górny
2023-02-17  6:21 Michał Górny
2023-02-16 22:50 Sam James
2023-01-04 14:15 Michał Górny
2023-01-04 12:24 Michał Górny
2023-01-04  6:24 Sam James
2022-11-09  6:53 Sam James
2022-06-07 23:12 Sam James
2022-05-28  6:58 Agostino Sarubbo
2022-05-27  9:12 Jakov Smolić
2022-05-13 10:49 Jakov Smolić
2022-05-13  8:55 Jakov Smolić
2022-04-25  6:29 Jakov Smolić
2022-04-24 17:47 Arthur Zamarin
2022-04-22 15:35 Michał Górny
2022-04-22 15:35 Michał Górny
2022-04-22 15:11 Arthur Zamarin
2022-04-22 15:11 Arthur Zamarin
2022-04-22 15:11 Arthur Zamarin
2022-04-11 19:58 Michał Górny
2022-04-09 21:47 Jakov Smolić
2022-04-09 20:23 Michał Górny
2022-04-09 18:56 Michał Górny
2021-06-22 17:02 Marek Szuba
2021-05-31 12:09 Michał Górny
2021-03-02  8:40 Sam James
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-10-09  7:15 Michał Górny
2020-08-02  9:33 Michał Górny
2020-05-04 12:34 Michał Górny
2020-03-08 14:29 Michał Górny
2019-06-16  6:59 Matthew Thode
2019-05-16 16:00 Matthew Thode
2018-03-17 21:41 Michał Górny
2018-01-06 13:39 Michał Górny
2017-09-30  0:01 Tim Harder
2017-09-17 21:09 Matt Turner
2017-09-13 15:05 Fabian Groffen
2017-08-28 20:44 Alexis Ballier
2017-08-20  4:06 Tim Harder
2017-07-23 11:40 Manuel Rüger
2017-07-15 17:25 Tobias Klausmann
2017-05-07 18:43 Michał Górny
2017-05-02 17:43 Michał Górny
2017-04-28 18:32 Manuel Rüger
2016-08-31 12:35 Manuel Rüger
2015-12-01 20:52 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1650740874.2b6433877934ceeed160c0e7adcc576df67aa78d.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox